=== debian/changelog ===
procmeter3 (3.5c-1.1) unstable; urgency=low

  * Ironic NMU
  * Fix crash when /proc/interrupts is > 64 chars long. Closes: #602975

 -- Joey Hess <joeyh@debian.org>  Tue, 04 Jan 2011 12:44:50 -0400

procmeter3 (3.5c-1) unstable; urgency=low

  * New maintainer (Closes: #483255)
  * New upstremer release (Closes: #570800)
  * debian/control:
    + Add new build depends libsensors-dev
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/rules
    + Update to debhelper 7
  * debian/compat:
    + Migrate to debhelper 7
  * debian/copyright
    + Change to DEP5 format
  * debian/patches/*
    + Add patch to fix manpages
    + Add patch to fix makefile
  * debian/docs
    + Add missing doc files (ANNOUNCE, LSM, NEWS, README)
  * debian/clean added in order to delete auto-generated files

 -- Wences Rene Arana Fuentes <aranaf51@gmail.com>  Wed, 30 Jun 2010 10:14:36 -0600

procmeter3 (3.5b-1) unstable; urgency=low

  * QA upload.
  * New upstream version (Closes: #367443).
  * debian/control:
    + Update Standards-Version to 3.8.1 (no changes).
    + Update b-d from x-dev to x11proto-core-dev (Closes: #515389).
    + Fix spelling errors in package description.
  * debian/watch:
    + Update version from 2 to 3.
  * debian/copyright:
    + Version license link to GPL-2.
  * modules/acpi.c:
    + Add multiple batteries support (Closes: #460263).

 -- Marco Rodrigues <gothicx@sapo.pt>  Wed, 29 Apr 2009 18:11:30 +0000

procmeter3 (3.5a-4) unstable; urgency=low

  * Orphaned the package. Wow, 12 years..

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 19:11:54 -0400

procmeter3 (3.5a-3) unstable; urgency=low

  * Correct issue with the statically allocated string returned by
    get_acpi_value that caused it to only look at last full capacity and never
    really at design capacity.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Dec 2007 22:30:01 -0500

procmeter3 (3.5a-2) unstable; urgency=low

  * Patch from upstream fixing readdir use to not assume that . and ..
    are returned first. Closes: #456585

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Dec 2007 12:29:04 -0500

procmeter3 (3.5a-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Dec 2007 13:56:31 -0500

procmeter3 (3.5-2) experimental; urgency=low

  * Merge acpi changes from wmbattery:
    - Deal with batteries that report they're charged to greater than their
      max capacity.  
    - Patch from Christian Schäfer to add support for using on acpi systems
      with no batteries.
    - guard against potential division by zero. Closes: #454766
    - fix an off-by-one
    - minor bug fix to acpi code, don't skip over dotfiles

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Dec 2007 15:17:13 -0500

procmeter3 (3.5-1) experimental; urgency=low

  * New upstream release.
  * Stop building the gtk1 binary now that upstream supports building for
    gtk2. gprocmeter3 is now a link to procmeter3-gtk2. Closes: #438388
  * Note that the athena binary is renamed to procmeter3-xaw. There is a
    compatability symlink to procmeter3, but that might change in a later
    upstream release.
  * More manpage whatis fixes.
  * Add Homepage field.
  * Debhelper v5.
  * Uploaded to experimental as procmeter3-gtk has a number of bugs in my
    testing.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Nov 2007 16:35:47 -0500

procmeter3 (3.4g-1) unstable; urgency=low

  * New upstream release.
  * Includes better fix for #440473.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 01:55:03 -0400

procmeter3 (3.4f-5) unstable; urgency=low

  * Correct segfault in stat-cpu on SMP systems. Fix also sent upstream.
    Closes: #440473

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Sep 2007 20:04:06 -0400

procmeter3 (3.4f-4) unstable; urgency=low

  * Fix menu section. Closes: #438102

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Aug 2007 13:30:33 -0400

procmeter3 (3.4f-3) unstable; urgency=low

  * Correct units in ACPI battery rate display.
  * Updates for new menu policy and other menu file changes.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:36:38 -0400

procmeter3 (3.4f-2) unstable; urgency=low

  * Patch from Vincent Bernat adding support for 2.6.21, which changes
    yet again where the ACPI version number is stored.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2007 14:19:32 -0400

procmeter3 (3.4f-1) unstable; urgency=low

  * New upstream release, including /proc/mounts line length fix.

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Mar 2007 15:02:51 -0500

procmeter3 (3.4e-2) unstable; urgency=low

  * Patch from Timo Lilja to fix a segfault if /proc/mounts has long lines.
    Closes: #402719

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Dec 2006 10:28:41 -0500

procmeter3 (3.4e-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Apr 2006 12:26:47 -0400

procmeter3 (3.4d-5) unstable; urgency=low

  * Set procmeter3_modules section to 1, not 4, to match the filename and
    installation location. Although 1 isn't quite right, 4 is much less
    right.
  * Current standards version.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Dec 2005 17:19:12 -0500

procmeter3 (3.4d-4) unstable; urgency=low

  * Transition away from xlibs-dev.

 -- Joey Hess <joeyh@debian.org>  Wed, 30 Nov 2005 17:02:58 -0500

procmeter3 (3.4d-3) unstable; urgency=low

  * Remove symlink creation code; symlinks now kept in svn repo.
  * Fix man page typos spotted by A Costa. Also sent upstream.
    Closes: #337189, #337188

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Nov 2005 15:01:22 -0500

procmeter3 (3.4d-2) unstable; urgency=low

  * Fix a bug in acpi.c that made it not read the info file and thus, not
    work. See bug #307278

 -- Joey Hess <joeyh@debian.org>  Mon,  2 May 2005 18:17:18 -0400

procmeter3 (3.4d-1) unstable; urgency=low

  * New upstream release:
    - Updated ACPI support to handle kernel version 2.6.
    - Added support for /dev/mapper in disk statistics.

