=== debian/control ===
Source: procmeter3
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libx11-dev, libxt-dev, x11proto-core-dev, libsensors-dev, libxaw7-dev | libxaw-dev, dpkg-dev (>= 1.9.0)
Maintainer: Wences Rene Arana Fuentes <aranaf51@gmail.com>
Standards-Version: 3.9.0
Vcs-Git: git://git.kitenet.net/joey/packages/procmeter3
Homepage: http://www.gedanken.demon.co.uk/procmeter3/

Package: procmeter3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical system status monitor
 ProcMeter displays constantly updating graphs of system information.
 Many different graphs are supported, including:
 .
  APM and ACPI information.
  Mailbox monitoring.
  Date, time, uptime.
  Amount of free and used disk space.
  Size, number of lines, rate of growth of log files.
  Amount of used and free memory and swap.
  Traffic on network devices.
  Load average, number of processes running and starting.
  Low level system statistics like CPU usage, disk usage and swapping.
  CPU clock speed.
  Wireless network link quality.
 .
 As if all that wasn't enough, procmeter is designed to be easily extendable
 via plugins.
 .
 Procmeter can use either the Athena or the GTK+ widgets. It also supports
 display on small LCD screens using the Linux lcdproc driver.
