=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_build:
	$(MAKE) all INSTDIR=/usr RC_PATH=/etc

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean

override_dh_auto_install:
	$(MAKE) install \
	INSTDIR=$(CURDIR)/debian/procmeter3/usr \
	RC_PATH=$(CURDIR)/debian/procmeter3/etc

override_dh_installdocs:
	dh_installdocs
	cp modules/README \
		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/README.modules
	cp modules/ChangeLog \
		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/ChangeLog.modules
