=== debian/watch ===
version=3
http://www.gedanken.demon.co.uk/procmeter3/ .*/procmeter3-(.*).tgz
