=== xaw/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/amb/procmeter3/xaw/RCS/Makefile 1.2 2007/09/26 18:31:46 amb Exp $
+# $Header: /home/amb/CVS/procmeter3/xaw/Makefile,v 1.2 2007-09-26 18:31:46 amb Exp $
 #
 # ProcMeter - A system monitoring program for Linux - Version 3.5.
 #
