=== gtk1/widgets/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Header: /home/amb/procmeter3/gtk1/widgets/RCS/Makefile 1.2 2007/09/19 19:02:45 amb Exp $
+# $Header: /home/amb/CVS/procmeter3/gtk1/widgets/Makefile,v 1.2 2007-09-19 19:02:45 amb Exp $
 #
 # ProcMeter - A system monitoring program for Linux - Version 3.5.
 #
