=== debian/changelog ===
procmeter3 (3.5d-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Maintainer field updated (new email)
    + Standards Version updated to 3.9.2, no changes needed
    + VCS-* fields added
  * debian/copyright
    + Updated to use DEP5 rev. 174
    + License updated
  * debian/patches/*
    + manpages.patch, makefile.patch and debian-changes-3.5c-1.1 droped
      merged upstream
  * debian/watch
    + Download url updated
  * debian/rules
    + modules/ChangeLog was dropped by upstream, there is no
      need to copy it.

 -- Wences Arana <aranax@debian.org.gt>  Sun, 23 Oct 2011 00:45:12 -0600

procmeter3 (3.5c-1.2) unstable; urgency=low

  * Non maintainer upload.
  * Link against X11 libraries to fix FTBFS with ld --no-add-needed.
    Closes: #556073.
  * Build-depend on libsensors4-dev.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Sep 2011 23:12:04 +0000
