=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: procmeter3
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libx11-dev, libxt-dev, x11proto-core-dev, libsensors-dev, libxaw7-dev | libxaw-dev, dpkg-dev (>= 1.9.0)
-Maintainer: Wences Rene Arana Fuentes <aranaf51@gmail.com>
-Standards-Version: 3.9.0
-Vcs-Git: git://git.kitenet.net/joey/packages/procmeter3
+Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, libx11-dev, libxt-dev,
+ x11proto-core-dev, libsensors4-dev, libxaw7-dev | libxaw-dev, 
+ dpkg-dev (>= 1.9.0)
+Maintainer: Wences Arana <aranax@debian.org.gt>
+Standards-Version: 3.9.2
 Homepage: http://www.gedanken.demon.co.uk/procmeter3/
+Vcs-Git: git://anonscm.debian.org/collab-maint/procmeter3.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/procmeter3.git
 
 Package: procmeter3
 Architecture: any
