=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+
 %:
 	dh $@
 override_dh_auto_build:
@@ -17,5 +18,3 @@
 	dh_installdocs
 	cp modules/README \
 		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/README.modules
-	cp modules/ChangeLog \
-		$(CURDIR)/debian/procmeter3/usr/share/doc/procmeter3/ChangeLog.modules
